function eggNotepad() {
    const eggsList = document.getElementById("eggs-list");
    eggsList.style.display = "none";
    const eggNotepad = document.getElementById("egg-notepad");
    eggNotepad.style.display = "block";
    const eggNotepadTextArea = document.getElementById("egg-notepad-textarea");
    eggNotepadTextArea.addEventListener('input', function(event) {
        const eggNotepadMessage = {
            "type": "egg-notepad",
            "username": username,
            "token": md5(password),
            "content": event.target.value
        };
        ws.send(JSON.stringify(eggNotepadMessage));
    }, false);
}

function closeEggNotepad() {
    const eggNotepad = document.getElementById("egg-notepad");
    eggNotepad.style.display = "none";
}
